For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Get started
    • Quickstart—Verify a Business
    • Quickstart—Register an entity for payroll taxes
    • Learn how Middesk works
    • Security
    • Changelog
  • Build with Middesk
    • Get your API keys
    • Understand API changes
    • Status codes and errors reference
    • Implement webhooks
    • Secure webhooks
    • Use GraphQL
    • Connect MCP
  • Verify a business (KYB)
    • Verify TIN
    • Verify name and address
    • Verify Secretary of State status
    • Verify owners and officers
    • Screen for sanctions and watchlists
    • Search for adverse media
    • Search for Politically Exposed Persons
    • Implement KYC
    • Discover connections
    • Evaluate online presence
    • Assess credit risk
    • Accelerate onboarding
      • How Signal works
      • Score a business profile
      • Reason codes
      • Integrate the Autocomplete API
      • Integrate the Smart Populate API
      • Create a Business Enrichment order
    • Monitor business activity
    • Manage business entities
    • Work with agents
LogoLogo
Contact SalesGet Support
On this page
  • Score in the Dashboard
  • Score using the API
Accelerate onboarding

Score a business profile

Was this page helpful?
Previous

Reason codes

Next
Built with

Score a business using Signal with the Middesk Dashboard or API.

Score in the Dashboard

1

Order a Signal report

Order a Signal report in the Dashboard by navigating to the Signal Icon. To run Signal, you must provide at least the business name and associated address, but submitting TIN/EIN and associated people provides additional insights on those attributes.

2

Generate the report

Click the Order Signal button to generate the Signal report.

3

Order a detailed report

Once the report is ready, order a more detailed Business Verification and Credit Assessment report by clicking the Order Report button in the upper right corner.

In both the Dashboard and through the POST /signals endpoint, you can also run a batch of businesses past Signal. To retrieve the results, use the GET /signals endpoint.

Score using the API

The Middesk quickstart walks you through how to obtain your API key and make your first API request. To learn more about the Middesk testing environment, webhooks, and authentication, see Implement webhooks .

To score using the API:

1

Create a Signal request

  1. The required inputs for the Signal product are the business name and associated address. For additional insights, also include optional fields such as TIN/EIN (taxpayer identification number) and associated people for each business.

  2. If your application flow collects multiple addresses (like mailing versus physical addresses) and associated business owners/individuals, you can also pass them through the POST /signals endpoint.

  3. If you plan to store the Signal report as an object in your database with your identifier, pass your external ID in the API request; otherwise, you can use the returned Signal ID for reference.


    Body ParametersRequired vs. Recommended
    Name (string)Required
    Addresses (array of strings)Required
    People (array of strings)Recommended
    TIN (string)Recommended
    External_ID (string)Recommended

2

Receive the Signal response

The POST /signals endpoint is instant, meaning you receive an immediate and complete response. Middesk does not provide webhooks for the Signal endpoints as it’s a synchronous workflow.

Middesk recommends storing the Signal ID for future reference, along with other relevant fields like reason codes, external ID, or timestamps. If needed, you can always retrieve the complete Signal response later by calling the GET /signals endpoint.


1{
2 "object": "signal",
3 "id": "d59b244c-540a-4354-822e-2ef705baea36",
4 "created_at": "2024-07-29T22:12:16.936Z",
5 "external_id": null,
6 "name": "Example Business, LLC",
7 "tin": null,
8 "addresses": [
9 "123 Main St., San Francisco, CA 94105"
10 ],
11 "people": [
12 "Business Owner"
13 ],
14 "score": 0.81,
15 "identification_score": 0.91,
16 "verification_score": 0.62,
17 "evaluation_score": 0.88,
18 "reasons": [
19 {
20 "category": "identification",
21 "group": "customer_information",
22 "description": "The submitted business name is correct",
23 "code": "I301"
24 },
25 {
26 "category": "identification",
27 "group": "customer_information",
28 "description": "The submitted address belongs to the business",
29 "code": "I107"
30 },
31 {
32 "category": "identification",
33 "group": "compliance",
34 "description": "There are no OFAC or sanctions results for the business",
35 "code": "I201"
36 },
37 {
38 "category": "identification",
39 "group": "compliance",
40 "description": "There are no OFAC or sanctions results for the people submitted",
41 "code": "I202"
42 },
43 {
44 "category": "verification",
45 "group": "government_filings",
46 "description": "The business is registered in only a single state",
47 "code": "V102"
48 },
49 {
50 "category": "verification",
51 "group": "government_filings",
52 "description": "The business is registered in a common formation state",
53 "code": "V103"
54 },
55 {
56 "category": "verification",
57 "group": "address_verification",
58 "description": "At least one submitted address is a commercial address",
59 "code": "V749"
60 },
61 {
62 "category": "verification",
63 "group": "address_verification",
64 "description": "At least one submitted address is a registered agent address",
65 "code": "V750"
66 },
67 {
68 "category": "evaluation",
69 "group": "fraud",
70 "description": "The business was formed more than 2 years ago",
71 "code": "E500"
72 },
73 {
74 "category": "evaluation",
75 "group": "creditworthiness",
76 "description": "The business has never filed for bankruptcy",
77 "code": "E1101"
78 }
79 ],
80 "requester": {
81 "id": "12572330-aed2-4b8e-8c78-ad700d5ce2ab",
82 "type": "user",
83 "name": "Requesting User"
84 }
85}

Get a demo
Contact your account manager or contact sales to inquire about access.